<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Tables and Forms</title>
</head>

<body>

    <div id="top">
        <h2>HTML Entities</h2>

        <p><em>Reserve Characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML Code).</em></p>


    </div>

    <div class="" id="table">

        <!-- Defines or create an HTML table -->
        <table border="1">
            <!-- Used to group table header content -->
            <thead>
                <!-- Defines a table row -->
                <tr>
                    <!-- Table headings -->
                    <th colspan="2">Entity</th>
                    <th>Description</th>

                </tr>
            </thead>
            <!-- used to group table body  -->
            <tbody>
                <tr>
                    <!-- defines a table element -->
                    <td>&lt;</td>
                    <td>lt</td>
                    <td>less than</td>
                </tr>
                <tr>
                    <td>&gt;</td>
                    <td>gt</td>
                    <td>greater than</td>
                </tr>
                <tr>
                    <td>&#8369</td>
                    <td>#8369</td>
                    <td>Peso Sign</td>
                </tr>
                <tr>
                    <td>&amp;</td>
                    <td>amp</td>
                    <td>Ampersand</td>
                </tr>
                <tr>
                    <td>&quot;</td>
                    <td>quot</td>
                    <td>Double quoatation mark</td>
                </tr>
                <tr>
                    <td>&apos;</td>
                    <td>apos</td>
                    <td>Single quoatation mark</td>
                </tr>
                <tr>
                    <td>&ntilde;</td>
                    <td>ntilde</td>
                    <td>Lower Tilde</td>
                </tr>
                <tr>
                    <td>&Ntilde;</td>
                    <td>Ntilde</td>
                    <td>Upper Tilde</td>
                </tr>
            </tbody>

            <!-- create table footer -->
            <tfoot>
                <tr>
                    <th colspan="100%">
                        List of HTML Entities
                    </th>
                </tr>

            </tfoot>



        </table>
    </div>

    <div id="form">
        <hr>

        <h2>HTML Forms</h2>

        <p><em>Inputs elements that make up a form.</em></p>

        <!-- Creates an HTML Form to capture user input -->
        <form action="https://google.com" target="_blank">
            <!-- creates a label and allows for input field section when clicked -->
            <label for="fullName">Full Name:</label>
            <br>

            <!-- attribute "required" to require user to input data before submit  -->
            <input type="text" name="fullName" id="fullName" placeholder="Enter Name" required>
            <br>

            <label for="birthDate">Birth Date</label>
            <br>
            <input type="date" name="birthDate" id="birthDate" placeholder="Enter birth date" required>
            <br>

            <label for="age">Age</label>
            <br>
            <input type="number" name="age" id="age" required placeholder="insert age">
            <br>

            <label for="gender">Gender</label><br>
            <!-- Creates a dropdown menu  -->
            <select name="gender" id="gender">
            <!-- creates an option for dropdown -->
            <option value="Please select below">Please select below</option>
            <option value="Male">Male</option>
            <option value="Female">Female</option>
            <option value="Others">Prefer not to specify</option>
        </select> <br>

            <label for="">New User:</label>
            <br>
            <!-- Creates Radio button  - relational button -->
            <input type="radio" name="userType" id="newUser" value="yes">
            <label for="#newUser">Yes</label><br>
            <input type="radio" name="userType" id="oldUser" value="no">
            <label for="#oldUser">No</label><br>

            <label for="notes">Notes:</label><br>
            <textarea name="notes" id="notes" cols="100%" rows="10" required></textarea><br>

            <label for="">Role:</label><br>

            <input type="checkbox" name="role1" id="role1" value="developer">
            <label for="role1">Developer</label><br>
            <input type="checkbox" name="role2" id="role2" value="student">
            <label for="role2">Student</label><br>
            <input type="checkbox" name="role3" id="role3" value="manager">
            <label for="role3">Manager</label><br>






            <br>
            <button type="submit">Submit</button>
            <!-- adding reset button that clears input fields on a form -->
            <button type="reset">Reset</button>
        </form>

    </div>






</body>

</html>